.bbd-seo-description__wrapper {
  grid-column: span 12;

  @media screen and (min-width: 750px) {
    grid-column: span 9;
  }

  @media screen and (min-width: 1100px) {
    grid-column: span 7;
  }
}

.bbd-seo-description__title {
  margin-block-end: var(--margin-2xl);

  @media screen and (min-width: 750px) {
    margin-block-end: var(--margin-4xl);
  }
}

.bbd-seo-description__text {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: var(--line-clamp);
  line-clamp: var(--line-clamp);
  overflow: hidden;
}

.bbd-seo-description__button {
  margin-block-start: var(--margin-md);
  text-decoration: underline;
  font-weight: var(--font-weight--bold);

  .svg-wrapper {
    transition: transform var(--animation-speed-slow) ease-in-out;
  }

  &:hover,
  &:focus-visible {
    text-decoration: none;

    .svg-wrapper {
      transform: translateY(2px);
    }
  }

  &[hidden] {
    display: none;
  }
}

/* Expanded */
.is-expanded {
  .bbd-seo-description__text {
    display: block;
    -webkit-line-clamp: unset;
    overflow: visible;
  }

  .bbd-seo-description__button {
    .svg-wrapper {
      transform: rotate(180deg);
    }
  }
}
